# MO Foundation Base

Common code to include in Foundation based themes.

You can include the SCSS and JS in a
[MO Foundation Starterkit](https://gitlab.more-onion.com/misc/mo-foundation-starterkit)-derived
theme by importing the needed files.

## Use

Add this repository as a dependency in the `package.json` file:

```
"dependencies": {
  "mo-foundation-base": "git+ssh://git@gitlab.more-onion.com:misc/mo-foundation-base.git#master"
}
```

Then you can use partials/modules in your SCSS and JS files:

```scss
@import "~mo-foundation-base/scss/main";
```

and

```js
import { initFoundation } from 'mo-foundation-base/src/js/vendor'
```
